Vous êtes ici

Comment régler l'erreur Trusted Host Settings non activé sous Drupal 8 ?

Portrait de DrupalFacile
Soumis par DrupalFacile le ven, 23/10/2015 - 11:35

Sur la page Tableau de bord d'administration (/admin/reports/status) vous allez trouver une erreur un peu obscure qui concerne vos Trusted Host Settings. Qu'est-ce que c'est ? Eh bien c'est une amélioration de la sécurité par défaut de Drupal qui fait qu'un assaillant ne peut pas construire de requête HTTP POST qui changerait par exemple le domaine utilisé dans un lien reçu par e-mail pour réinitialiser votre mot de passe et ainsi vous subtiliser l'accès au site. En d'autres termes, vous devez déclarer les domaines de confiance du site.

Partager ce contenu

Comment sécuriser update.php sous Drupal 8 ?

Portrait de DrupalFacile
Soumis par DrupalFacile le jeu, 22/10/2015 - 08:49

Un des problèmes de sécurité qui peut être détecté par Drupal 8 lorsque vous vous rendez sur la page Menu d'administration > Rapports > Tableau de bord d'administration concerne update.php qui doit être protégé.

update.php non sécurisé

La configuration qui déclenchera l'alerte est la suivante, dans settings.php

Partager ce contenu

Comment vérifier que votre installation Drupal 8 fonctionne correctement ?

Portrait de DrupalFacile
Soumis par DrupalFacile le mer, 21/10/2015 - 10:47

Lorsque vous vous connectez à votre site Drupal 8 pour la première fois, il est important de rapidement auditer l'installation et déterminer ce dont Drupal a besoin pour tourner correctement. Naviguez vers Menu d'administration > Rapports > Tableau de bord d'administration ou allez directement à la page /admin/reports/status afin de scanner les prérequis dont Drupal a besoin.

Partager ce contenu

Comment effectuer une première installation de Drupal 8 ?

Portrait de DrupalFacile
Soumis par DrupalFacile le lun, 19/10/2015 - 08:59

Peut-être n'avez vous pas de serveur à disposition ou d'installation locale de PHP/MySQL et Apache pour faire tourner un site sous Drupal 8 ? Une solution pour facilement tester une première installation est d'utiliser le service en ligne gratuit simplytest.me - J'en avais déjà parlé dans un post précédent et l'application est toujours aussi efficace et facile à utiliser.

Partager ce contenu

Quelle sont les versions SQL minimales nécessaires pour faire tourner Drupal 8 ?

Portrait de DrupalFacile
Soumis par DrupalFacile le dim, 18/10/2015 - 10:37

La version MySQL minimale nécessaire pour faire tourner Drupal 8 est la 5.5.3 - Notez que MySQL 5.6 existe est serait préférable si jamais vous avez la possibilité de l'utiliser. Drupal 8 est pleinement compatible avec. MySQL 5.7 existe aussi mais il y a quelques incompatibilités connues (notamment avec le mode ANSI SQL) qui donnent envie d'attendre.

Tags:

Partager ce contenu

Pages

S'abonner à DrupalFacile RSS